REBUILDD-JOB(1)

NAME
rebuildd-job - rebuildd job database management

SYNOPSIS

rebuildd-job [add|list|stats]

DESCRIPTION

rebuildd-job allows you to manage rebuildd database. You can list or add jobs.

OPTIONS

add
    Add a job to the database. Job list is read from stdin, with one package per line. Format is: package_name package_version priority dist_name arch mail

add-deps
    Add dependencies between jobs. Dependencies are read from stdin, with the following format: job_id dependency_job_id [dependency_job_id] [...]

add-quinn-diff [distribution]
    Add jobs to the database. Job list is read from stdin. The input format is expected to be the same as quinn-diff. Distribution has to be specified as argument.

requeue [jobid]
    Reschedule a job. The job id has to be provided as argument. The job must be in an error state (previous build failed).

delete [jobid]
    Delete a job from the database. The job id has to be provided as argument.

list [crit=value]
    List jobs. A criteria can be added, with its value to filter output. Valid criteria are: package, arch, dist, status

stats
    Dump a nice ASCII art graphic about jobs.

SEE ALSO

rebuildd (1), rebuildd-init-build-system (1).

AUTHOR

This manual page was written by Julien Danjou acid@debian.org for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

COPYRIGHT
Copyright © 2007 Julien Danjou